jack2: jack_control uses wrong python version

DoneSubmitted by Florian PaulSchmidt.
Details
3 participants
  • Ludovic Courtès
  • Florian PaulSchmidt
  • Ricardo Wurmus
Owner
unassigned
Severity
normal
F
F
Florian PaulSchmidt wrote on 5 Dec 2015 00:19
(address . bug-guix@gnu.org)
56621F8E.9050101@gmx.net
jack_control needs to be run with python2:
fps@cherry ~/src/guix$ jack_control ep File "/home/fps/.guix-profile/bin/jack_control", line 80 print 'shit'
[sic]
The interpreter shebang points to a python3.4 though
#!/gnu/store/l9vhjpqza8piap4r047m5xfz86wnxgqw-python-wrapper-3.4.3/bin/python
name_base = 'org.jackaudio'control_interface_name = name_base + '.JackControl'
Flo
R
R
Ricardo Wurmus wrote on 5 Dec 2015 09:55
(name . Florian PaulSchmidt)(address . mista.tapas@gmx.net)(address . 22094@debbugs.gnu.org)
87mvtpnuk0.fsf@elephly.net
I’m pretty sure that this was fixed with commitbc8bf605fcef7d9e8a7732caa0fd54604304635b. Are you using the latestversion?
~~ Ricardo
F
F
Florian PaulSchmidt wrote on 5 Dec 2015 10:09
(name . Ricardo Wurmus)(address . rekado@elephly.net)(address . 22094@debbugs.gnu.org)
5662A9B7.2000301@gmx.net
-----BEGIN PGP SIGNED MESSAGE-----Hash: SHA256
On 12/05/2015 09:55 AM, Ricardo Wurmus wrote:
Toggle quote (4 lines)> I’m pretty sure that this was fixed with commit > bc8bf605fcef7d9e8a7732caa0fd54604304635b. Are you using the> latest version?
Yes, no :)
Thanks!
Flo

- -- https://fps.io-----BEGIN PGP SIGNATURE-----Version: GnuPG v2
iQEcBAEBCAAGBQJWYqm2AAoJEA5f4Coltk8ZGMEH/RDZ+GpK4V3u4WF/AbZW15XQ+Xu3txRG08XIi/ro3EPxHbNcfrS8wa0rodywBplYTR44f966eSUEwmaOkS999CTj3IaLe4QdHVtsjUN52Z5C1efvn8k1E7ZF8Jf+SozetZp0HOTT0gy8Ml9pR24jJqiAmKkuQVvi7LhxwsfDwZWMkx2PuspF6tjtyrTSgsy2GAjjwqoBMr/Kbb9fE4vt0XUVbtVR+m/I32Z+OoA0u648ZL88vOO/NKYKmqgpg/5H83iuYq3MJR0hvNnb+KTqteueFSNuzu0PSdOPmPIS4F+ICEJ7p5kczn7OU9oNkfPBQoJr+Tr61SUS1cRcKzHoV0Y==k00L-----END PGP SIGNATURE-----
L
L
Ludovic Courtès wrote on 6 Dec 2015 22:58
control message for bug #22094
(address . control@debbugs.gnu.org)
8737vfw86n.fsf@gnu.org
tags 22094 notabug
L
L
Ludovic Courtès wrote on 6 Dec 2015 22:58
(address . control@debbugs.gnu.org)
871tazw86d.fsf@gnu.org
close 22094 0.9.0+
?
Your comment

This issue is archived.

To comment on this conversation send email to 22094@debbugs.gnu.org